NSX-T Data Center REST API

Paginated list of BGP Neighbors on edge transport node

Paginated list of paginated BGP neighbors on the edge transport node.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/edge-nodes/{policy-edge-node-id}/remote-tep-connectivity/bgp/neighbors
/policy/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/edge-nodes/{policy-edge-node-id}/remote-tep-connectivity/bgp/neighbors
Request Headers:
n/a
Query Parameters:
ListRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/sites/default/enforcement-points/default/edge-clusters/fa0f2e56-a09c-42f6-9417-adcce68416a4/edge-nodes/0/remote-tep-connectivity/bgp/neighbors

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PolicyEdgeNodeBgpNeighborsListResult+

Example Response:

{ "results": [ { "enabled": true, "neighbor_address": "172.20.10.20", "source_address": "172.20.10.10", "source_addresses": [ "172.20.10.10" ], "maximum_hop_limit": 0, "enable_bfd": false, "remote_as": 65000, "remote_as_num": "65000", "hold_down_timer": 15, "keep_alive_timer": 5, "address_families": [ { "type": "IPV6_UNICAST", "enabled": true, "in_filter_routemap_id": "90318bdc-d9a6-426e-98fc-53e3ea1b68a9", "out_filter_routemap_id": "f1490a33-34cc-4a96-a60a-1da4289f5394" } ], "allow_as_in": false, "graceful_restart_mode": "INVALID", "resource_type": "BgpNeighbor", "id": "504684af-8b62-44c9-8333-39884203b386", "_protection": "NOT_PROTECTED", "_create_time": 1734502487340, "_create_user": "system", "_last_modified_time": 1734502487340, "_last_modified_user": "system", "_revision": 0 }, { "enabled": true, "neighbor_address": "172.20.10.21", "source_address": "172.20.10.10", "source_addresses": [ "172.20.10.10" ], "maximum_hop_limit": 0, "enable_bfd": false, "remote_as": 65000, "remote_as_num": "65000", "hold_down_timer": 15, "keep_alive_timer": 5, "address_families": [ { "type": "IPV6_UNICAST", "enabled": true, "in_filter_routemap_id": "90318bdc-d9a6-426e-98fc-53e3ea1b68a9", "out_filter_routemap_id": "f1490a33-34cc-4a96-a60a-1da4289f5394" } ], "allow_as_in": false, "graceful_restart_mode": "INVALID", "resource_type": "BgpNeighbor", "id": "6f6178a5-5766-4765-b0a0-dbd7bcefa4e9", "_protection": "NOT_PROTECTED", "_create_time": 1734502487342, "_create_user": "system", "_last_modified_time": 1734502487342, "_last_modified_user": "system", "_revision": 0 } ], "result_count": 2 }

Required Permissions:

read

Feature:

policy_ep_edge

Additional Errors: